# 工位监控系统

## 安装步骤

1. 安装 Python 3.10
   - 访问 [Python官网](https://www.python.org/downloads/release/python-31011/)
   - 下载并安装 Python 3.10
   - 安装时请勾选 "Add Python to PATH"

2. 安装 Visual C++ Redistributable（如果遇到DLL错误）
   - 下载 [Visual C++ Redistributable](https://aka.ms/vs/17/release/vc_redist.x64.exe)
   - 运行安装程序
   - 按照提示完成安装

3. 运行程序
   - 双击运行 start.bat
   - 首次运行时会自动安装所需的依赖包
   - 等待程序启动

## 常见问题

1. 如果提示"python不是内部或外部命令"
   - 重新安装Python，确保勾选"Add Python to PATH"
   - 或者重启电脑

2. 如果遇到DLL错误
   - 安装 Visual C++ Redistributable（见上方安装步骤2）
   - 如果还有问题，尝试重启电脑

3. 如果摄像头无法打开
   - 确保摄像头已正确连接
   - 确保没有其他程序正在使用摄像头
   - 检查摄像头驱动是否正确安装

4. 如果依赖包安装失败
   - 确保电脑连接到互联网
   - 尝试以管理员身份运行start.bat

## 联系方式

如有问题请联系管理员。